# Changelog

## [integrations/qdrant-v4.2.0] - 2024-08-27

### 🚜 Refactor

- Qdrant Query API (#1025)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

## [integrations/qdrant-v4.1.2] - 2024-07-15

### 🐛 Bug Fixes

- `qdrant` - Fallback to default filter policy when deserializing retrievers without the init parameter (#902)

## [integrations/qdrant-v4.1.1] - 2024-07-10

### 🚀 Features

- Add filter_policy to qdrant integration (#819)

### 🐛 Bug Fixes

- Errors in convert_filters_to_qdrant (#870)

## [integrations/qdrant-v4.1.0] - 2024-07-03

### 🚀 Features

- Add `score_threshold` to Qdrant Retrievers (#860)
- Qdrant - add support for BM42 (#864)

## [integrations/qdrant-v4.0.0] - 2024-07-02

### 🚜 Refactor

- [**breaking**] Qdrant - remove unused init parameters: `content_field`, `name_field`, `embedding_field`, and `duplicate_documents` (#861)
- [**breaking**] Qdrant - set `scale_score` default value to `False` (#862)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)

## [integrations/qdrant-v3.8.1] - 2024-06-20

### 📚 Documentation

- Added docstrings for QdrantDocumentStore (#808)

## [integrations/qdrant-v3.8.0] - 2024-06-06

### 🚀 Features

- Add force_disable_check_same_thread init param for Qdrant local client (#779)

## [integrations/qdrant-v3.7.0] - 2024-05-24

### 🚀 Features

- Make get_distance and recreate_collection public, replace deprecated recreate_collection function (#754)

## [integrations/qdrant-v3.6.0] - 2024-05-24

### 🚀 Features

- Defer database connection to the first usage (#748)

## [integrations/qdrant-v3.5.0] - 2024-04-24

## [integrations/qdrant-v3.4.0] - 2024-04-23

### Qdrant

- Add embedding retrieval example (#666)

## [integrations/qdrant-v3.3.1] - 2024-04-12

### Qdrant

- Add migration utility function for Sparse Embedding support (#659)

## [integrations/qdrant-v3.3.0] - 2024-04-12

### 🚀 Features

- *(Qdrant)* Start to work on sparse vector integration (#578)

## [integrations/qdrant-v3.2.1] - 2024-04-09

### 🐛 Bug Fixes

- Fix haystack-ai pin (#649)



## [integrations/qdrant-v3.2.0] - 2024-03-27

### 🚀 Features

- *(Qdrant)* Allow payload indexing + on disk vectors (#553)
- Qdrant datetime filtering support (#570)

### 🐛 Bug Fixes

- Fix linter errors (#282)


- Fix order of API docs (#447)

This PR will also push the docs to Readme
- Fixes (#518)



### 🚜 Refactor

- [**breaking**] Qdrant - update secret management (#405)

### 📚 Documentation

- Update category slug (#442)
- Small consistency improvements (#536)
- Disable-class-def (#556)

### ⚙️ Miscellaneous Tasks

- Generate API docs for Qdrant (#361)

## [integrations/qdrant-v3.0.0] - 2024-01-22

### Refact

- [**breaking**] Change import paths (#255)

## [integrations/qdrant-v2.0.1] - 2024-01-18

### 🚀 Features

- Add Qdrant integration (#98)

### 🐛 Bug Fixes

- Fix import paths for beta5 (#237)



### 🚜 Refactor

- Use `hatch_vcs` to manage integrations versioning (#103)

<!-- generated by git-cliff -->
